Package com.xebialabs.xlrelease.domain

## Class DependencyTarget

- java.lang.Object
- - com.xebialabs.xlrelease.domain.DependencyTarget

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class DependencyTarget
      extends java.lang.Object
      implements scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DependencyTarget​(java.lang.Integer targetReleaseUid, java.lang.String targetId, Type targetType, java.lang.String releaseTitle, java.lang.String phaseId, java.lang.String phaseTitle, java.lang.String resolvedPhaseTitle, PhaseStatus phaseStatus, java.lang.String taskId, java.lang.String taskTitle, java.lang.String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, java.lang.String releaseFlagComment, java.util.Date startDate, java.util.Date endDate, java.util.Date scheduledStartDate, java.util.Date dueDate, java.lang.Integer plannedDuration)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DependencyTarget` | `apply​(java.lang.Integer targetReleaseUid, java.lang.String targetId, Type targetType, java.lang.String releaseTitle, java.lang.String phaseId, java.lang.String phaseTitle, java.lang.String resolvedPhaseTitle, PhaseStatus phaseStatus, java.lang.String taskId, java.lang.String taskTitle, java.lang.String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, java.lang.String releaseFlagComment, java.util.Date startDate, java.util.Date endDate, java.util.Date scheduledStartDate, java.util.Date dueDate, java.lang.Integer plannedDuration)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `DependencyTarget` | `copy​(java.lang.Integer targetReleaseUid, java.lang.String targetId, Type targetType, java.lang.String releaseTitle, java.lang.String phaseId, java.lang.String phaseTitle, java.lang.String resolvedPhaseTitle, PhaseStatus phaseStatus, java.lang.String taskId, java.lang.String taskTitle, java.lang.String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, java.lang.String releaseFlagComment, java.util.Date startDate, java.util.Date endDate, java.util.Date scheduledStartDate, java.util.Date dueDate, java.lang.Integer plannedDuration)` |
    `java.lang.Integer` | `copy$default$1()` |
    `java.lang.String` | `copy$default$10()` |
    `java.lang.String` | `copy$default$11()` |
    `TaskStatus` | `copy$default$12()` |
    `FlagStatus` | `copy$default$13()` |
    `java.lang.String` | `copy$default$14()` |
    `java.util.Date` | `copy$default$15()` |
    `java.util.Date` | `copy$default$16()` |
    `java.util.Date` | `copy$default$17()` |
    `java.util.Date` | `copy$default$18()` |
    `java.lang.Integer` | `copy$default$19()` |
    `java.lang.String` | `copy$default$2()` |
    `Type` | `copy$default$3()` |
    `java.lang.String` | `copy$default$4()` |
    `java.lang.String` | `copy$default$5()` |
    `java.lang.String` | `copy$default$6()` |
    `java.lang.String` | `copy$default$7()` |
    `PhaseStatus` | `copy$default$8()` |
    `java.lang.String` | `copy$default$9()` |
    `java.util.Date` | `dueDate()` |
    `java.util.Date` | `endDate()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `java.lang.String` | `phaseId()` |
    `PhaseStatus` | `phaseStatus()` |
    `java.lang.String` | `phaseTitle()` |
    `java.lang.Integer` | `plannedDuration()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `releaseFlagComment()` |
    `FlagStatus` | `releaseFlagStatus()` |
    `java.lang.String` | `releaseTitle()` |
    `java.lang.String` | `resolvedPhaseTitle()` |
    `java.lang.String` | `resolvedTaskTitle()` |
    `java.util.Date` | `scheduledStartDate()` |
    `java.util.Date` | `startDate()` |
    `java.lang.String` | `targetId()` |
    `java.lang.Integer` | `targetReleaseUid()` |
    `Type` | `targetType()` |
    `java.lang.String` | `taskId()` |
    `TaskStatus` | `taskStatus()` |
    `java.lang.String` | `taskTitle()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer>>` | `unapply​(DependencyTarget x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### DependencyTarget

          public DependencyTarget​(java.lang.Integer targetReleaseUid,
                                  java.lang.String targetId,
                                  Type targetType,
                                  java.lang.String releaseTitle,
                                  java.lang.String phaseId,
                                  java.lang.String phaseTitle,
                                  java.lang.String resolvedPhaseTitle,
                                  PhaseStatus phaseStatus,
                                  java.lang.String taskId,
                                  java.lang.String taskTitle,
                                  java.lang.String resolvedTaskTitle,
                                  TaskStatus taskStatus,
                                  FlagStatus releaseFlagStatus,
                                  java.lang.String releaseFlagComment,
                                  java.util.Date startDate,
                                  java.util.Date endDate,
                                  java.util.Date scheduledStartDate,
                                  java.util.Date dueDate,
                                  java.lang.Integer plannedDuration)

  - ### Method Detail

    - #### apply

          public static DependencyTarget apply​(java.lang.Integer targetReleaseUid,
                                               java.lang.String targetId,
                                               Type targetType,
                                               java.lang.String releaseTitle,
                                               java.lang.String phaseId,
                                               java.lang.String phaseTitle,
                                               java.lang.String resolvedPhaseTitle,
                                               PhaseStatus phaseStatus,
                                               java.lang.String taskId,
                                               java.lang.String taskTitle,
                                               java.lang.String resolvedTaskTitle,
                                               TaskStatus taskStatus,
                                               FlagStatus releaseFlagStatus,
                                               java.lang.String releaseFlagComment,
                                               java.util.Date startDate,
                                               java.util.Date endDate,
                                               java.util.Date scheduledStartDate,
                                               java.util.Date dueDate,
                                               java.lang.Integer plannedDuration)

    - #### unapply

          public static scala.Option<scala.Tuple19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer>> unapply​(DependencyTarget x$0)

    - #### targetReleaseUid

          public java.lang.Integer targetReleaseUid()

    - #### targetId

          public java.lang.String targetId()

    - #### targetType

          public Type targetType()

    - #### releaseTitle

          public java.lang.String releaseTitle()

    - #### phaseId

          public java.lang.String phaseId()

    - #### phaseTitle

          public java.lang.String phaseTitle()

    - #### resolvedPhaseTitle

          public java.lang.String resolvedPhaseTitle()

    - #### phaseStatus

          public PhaseStatus phaseStatus()

    - #### taskId

          public java.lang.String taskId()

    - #### taskTitle

          public java.lang.String taskTitle()

    - #### resolvedTaskTitle

          public java.lang.String resolvedTaskTitle()

    - #### taskStatus

          public TaskStatus taskStatus()

    - #### releaseFlagStatus

          public FlagStatus releaseFlagStatus()

    - #### releaseFlagComment

          public java.lang.String releaseFlagComment()

    - #### startDate

          public java.util.Date startDate()

    - #### endDate

          public java.util.Date endDate()

    - #### scheduledStartDate

          public java.util.Date scheduledStartDate()

    - #### dueDate

          public java.util.Date dueDate()

    - #### plannedDuration

          public java.lang.Integer plannedDuration()

    - #### copy

          public DependencyTarget copy​(java.lang.Integer targetReleaseUid,
                                       java.lang.String targetId,
                                       Type targetType,
                                       java.lang.String releaseTitle,
                                       java.lang.String phaseId,
                                       java.lang.String phaseTitle,
                                       java.lang.String resolvedPhaseTitle,
                                       PhaseStatus phaseStatus,
                                       java.lang.String taskId,
                                       java.lang.String taskTitle,
                                       java.lang.String resolvedTaskTitle,
                                       TaskStatus taskStatus,
                                       FlagStatus releaseFlagStatus,
                                       java.lang.String releaseFlagComment,
                                       java.util.Date startDate,
                                       java.util.Date endDate,
                                       java.util.Date scheduledStartDate,
                                       java.util.Date dueDate,
                                       java.lang.Integer plannedDuration)

    - #### copy$default$1

          public java.lang.Integer copy$default$1()

    - #### copy$default$10

          public java.lang.String copy$default$10()

    - #### copy$default$11

          public java.lang.String copy$default$11()

    - #### copy$default$12

          public TaskStatus copy$default$12()

    - #### copy$default$13

          public FlagStatus copy$default$13()

    - #### copy$default$14

          public java.lang.String copy$default$14()

    - #### copy$default$15

          public java.util.Date copy$default$15()

    - #### copy$default$16

          public java.util.Date copy$default$16()

    - #### copy$default$17

          public java.util.Date copy$default$17()

    - #### copy$default$18

          public java.util.Date copy$default$18()

    - #### copy$default$19

          public java.lang.Integer copy$default$19()

    - #### copy$default$2

          public java.lang.String copy$default$2()

    - #### copy$default$3

          public Type copy$default$3()

    - #### copy$default$4

          public java.lang.String copy$default$4()

    - #### copy$default$5

          public java.lang.String copy$default$5()

    - #### copy$default$6

          public java.lang.String copy$default$6()

    - #### copy$default$7

          public java.lang.String copy$default$7()

    - #### copy$default$8

          public PhaseStatus copy$default$8()

    - #### copy$default$9

          public java.lang.String copy$default$9()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`